EVAL(1)

NAME
eval - create a shell command and process it

SYNOPSIS
eval [arg ...]

DESCRIPTION

eval is a shell special built-in command that constructs a command by concatenating the arg*s together, separating each with a space. The resulting string is then taken as input to the shell and evaluated in the current environment. Note that command words are expanded twice; once to construct *arg, and again when the shell executes the constructed command.

It is not an error if arg is not given.

EXIT STATUS

If arg is not specified, the exit status is 0. Otherwise, it is the exit status of the command defined by the arg operands.

SEE ALSO

exec(1), trap(1), .(1)

AUTHOR
David J. Korn, et. al.

COPYRIGHT
2019, David J. Korn, et.al.